/*
 * USART_Interrupt.h
 *
 * Created: 05/09/2016 4:57:37 PM
 *  Author: amrut
 */

#ifndef USART_H_
#define USART_H_

 #include <stdint.h>
 #include <avr/io.h>
 #include <string.h>
 #include <stdio.h>
 #include <stdlib.h>
 #include <stdbool.h>
 #include <util/delay.h>
 #include <avr/interrupt.h>

#define BAUD_PRESCALE (((F_CPU / (BAUDRATE * 16UL))) - 1)	/* Define prescale value */

void USART_Init(unsigned long);				/* USART initialize function */
char USART_RxChar();						/* Data receiving function */
void USART_TxChar(char);					/* Data transmitting function */
void USART_SendString(char*);				/* Send string of USART data function */


#endif /* USART_H_ */
